/* BdfServer_Get - Copyright (c) 2019-2020 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.get.streamproducers;

import fr.exemole.bdfserver.api.BdfServer;
import fr.exemole.bdfserver.api.roles.PermissionSummary;
import fr.exemole.bdfserver.api.users.BdfUser;
import fr.exemole.bdfserver.html.BdfServerHtmlProducer;
import net.fichotheque.corpus.Corpus;
import net.fichotheque.utils.FichothequeUtils;


/**
 *
 * @author Vincent Calame
 */
public class MissingFicheHtmlProducer extends BdfServerHtmlProducer {

    private final PermissionSummary permissionSummary;
    private final Corpus corpus;
    private final int ficheId;


    public MissingFicheHtmlProducer(BdfServer bdfServer, BdfUser bdfUser, PermissionSummary permissionSummary, Corpus corpus, int ficheId) {
        super(bdfServer, bdfUser);
        setReversePath("../");
        setBodyCssClass("global-body-White");
        this.permissionSummary = permissionSummary;
        this.corpus = corpus;
        this.ficheId = ficheId;
    }

    @Override
    public void printHtml() {
        String corpusTitle = FichothequeUtils.getTitle(corpus, workingLang);
        start();
        this
                .P()
                .SPAN("global-ErrorMessage")
                .__localize("_ error.unknown.fiche", corpusTitle, bdfUser.format(ficheId))
                ._SPAN()
                ._P();
        end();
    }

}
