<?xml version='1.0' encoding='UTF-8'?>
<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>

    <xsl:template match="extraitthesaurus">
        <xsl:apply-templates select="." mode="MODE_INLINE"/>
    </xsl:template>

    <xsl:template match="motcle">
        <xsl:apply-templates select="." mode="MODE_LABEL"/>
    </xsl:template>

    <xsl:template match="extraitthesaurus" mode="MODE_BLOCK">
        <xsl:param name="PARAM_CLASS" select=""/>
        <xsl:apply-templates select="motcle" mode="MODE_BLOCK">
            <xsl:with-param name="PARAM_CLASS" select="$PARAM_CLASS"/>
        </xsl:apply-templates>
    </xsl:template>

    <xsl:template match="extraitthesaurus" mode="MODE_LISTITEM">
        <xsl:param name="PARAM_CLASS" select=""/>
        <xsl:apply-templates select="motcle" mode="MODE_LISTITEM">
            <xsl:with-param name="PARAM_CLASS" select="$PARAM_CLASS"/>
        </xsl:apply-templates>
    </xsl:template>

    <xsl:template match="extraitthesaurus" mode="MODE_INLINE">
        <xsl:param name="PARAM_SEP" select="' ; '"/>
        <xsl:apply-templates select="motcle" mode="MODE_INLINE">
            <xsl:with-param name="PARAM_SEP" select="$PARAM_SEP"/>
        </xsl:apply-templates>
    </xsl:template>

    <xsl:template match="extraitthesaurus" mode="MODE_CODE">
        <xsl:param name="PARAM_SEP" select="'; '"/>
        <xsl:apply-templates select="motcle" mode="MODE_CODE">
            <xsl:with-param name="PARAM_SEP" select="$PARAM_SEP"/>
        </xsl:apply-templates>
    </xsl:template>

    <xsl:template match="motcle" mode="MODE_BLOCK">
        <xsl:param name="PARAM_CLASS" select=""/>
        <p class="{$PARAM_CLASS}"><xsl:apply-templates select="." mode="MODE_LABEL"/></p>
    </xsl:template>

    <xsl:template match="motcle" mode="MODE_LISTITEM">
        <xsl:param name="PARAM_CLASS" select=""/>
        <li>
            <p class="{$PARAM_CLASS}">
                <xsl:apply-templates select="." mode="MODE_LABEL"/>
            </p>
        </li>
    </xsl:template>

    <xsl:template match="motcle" mode="MODE_INLINE">
        <xsl:param name="PARAM_SEP" select="' ; '"/>
        <xsl:if test="position() &gt; 1"><xsl:value-of select="$PARAM_SEP"/></xsl:if>
        <xsl:apply-templates select="." mode="MODE_LABEL"/>
    </xsl:template>

    <xsl:template match="motcle" mode="MODE_CODE">
        <xsl:param name="PARAM_SEP" select="'; '"/>
        <xsl:if test="position() &gt; 1"><xsl:value-of select="$PARAM_SEP"/></xsl:if>
        <xsl:choose>
            <xsl:when test="@idalpha"><xsl:value-of select="@idalpha"/></xsl:when>
            <xsl:otherwise><xsl:value-of select="@id"/></xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template match="motcle" mode="MODE_LABEL">
        <xsl:call-template name="sub_Intitule"/>
        <xsl:call-template name="sub_Idalpha"/>
        <xsl:call-template name="sub_Label"/>
    </xsl:template>
    
    <xsl:template match="motcle[@url]" mode="MODE_LABEL">
        <a href="{@url}" rel="external" target="_blank">
            <xsl:call-template name="sub_Intitule"/>
            <xsl:call-template name="sub_Idalpha"/>
            <xsl:call-template name="sub_Label"/>
        </a>
    </xsl:template>
    
    <xsl:template name="sub_Intitule">
        <xsl:if test="intitule">
            <xsl:apply-templates select="intitule" mode="MODE_LABEL"/><xsl:text> – </xsl:text>
        </xsl:if>
    </xsl:template>
    
    <xsl:template name="sub_Idalpha">
        <xsl:if test="boolean(@idalpha = true())">
            <xsl:choose>
                <xsl:when test="@style = 'brackets'">[<xsl:value-of select="@idalpha"/>]<xsl:text> </xsl:text></xsl:when>
                <xsl:otherwise><xsl:value-of select="@idalpha"/><xsl:text> – </xsl:text></xsl:otherwise>
            </xsl:choose>
        </xsl:if>
    </xsl:template>

    <xsl:template name="sub_Label">
        <xsl:choose>
            <xsl:when test="label[@xml:lang = $WORKINGLANG]"><xsl:value-of select="label[@xml:lang = $WORKINGLANG]"/></xsl:when>
            <xsl:when test="label[@xml:lang = substring-before($WORKINGLANG, '-')]"><xsl:value-of select="label[@xml:lang = substring-before($WORKINGLANG, '-')]"/></xsl:when>
            <xsl:otherwise><xsl:value-of select="label[1]"/></xsl:otherwise>
        </xsl:choose>
    </xsl:template>

</xsl:stylesheet>